import java.awt.Container;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

import javax.swing.JFrame;

public class Game extends JFrame implements WindowListener
{
  private GamePanel wp;

  public static void main(String args[])
  { 
    new Game();
  }

  public Game()
  { 
	super("MathGame");
   
	Container c = getContentPane();
    wp = new GamePanel();
    c.add(wp, "Center");

    addWindowListener( this );
    pack();
    setResizable(false);
    setVisible(true);
  } 

  // ----------------- window listener methods -------------

  public void windowActivated(WindowEvent e) { }

  public void windowDeactivated(WindowEvent e) 
  {  wp.stopGame();  }

  public void windowDeiconified(WindowEvent e) 
  {  wp.stopGame();  }

  public void windowIconified(WindowEvent e) 
  {  wp.stopGame(); }

  public void windowClosing(WindowEvent e)
  {  wp.stopGame();  }

  public void windowClosed(WindowEvent e) {}
  public void windowOpened(WindowEvent e) {}

}
