package collision;
import java.awt.Shape;
import java.awt.geom.Area;

public class CollisionDetector {

	public static long micros = 0;	// duration of operation in microseconds
	
	public static boolean detect(Shape s1, Shape s2) {
		long t1=System.nanoTime();
		Area a1 = new Area(s1);
		a1.intersect(new Area(s2));
		boolean colide = false;
		if (!a1.isEmpty()) {
			colide = true;
			micros = (System.nanoTime()-t1)/1000;
		}
		return colide;
	}
	
}
