package collision;
import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Point;
import java.awt.Polygon;
import java.awt.geom.Point2D;
import java.util.ArrayList;

public class StaticObject extends GameObject {

	public StaticObject(String name, int x, int y, GameState gameState) {
		super(name,x,y,gameState);
	}

	@Override
	public void draw(Graphics2D g) {
		g.setColor(Color.red);
		g.fillPolygon(getPolygon());	
	}

}